summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2019-12-07 17:02:20 +0100
committerChristian Grothoff <christian@grothoff.org>2019-12-07 17:02:20 +0100
commit91a418fe804ed3b1b59f860c0f8e3bfc62b75691 (patch)
tree9e28bc34d6d49d05a8b9112b528fa4d1721c4fd6 /src
parent5a96c528b3d32e1edb0e9aa2d0835d704685d03c (diff)
downloadexchange-91a418fe804ed3b1b59f860c0f8e3bfc62b75691.tar.gz
exchange-91a418fe804ed3b1b59f860c0f8e3bfc62b75691.tar.bz2
exchange-91a418fe804ed3b1b59f860c0f8e3bfc62b75691.zip
add valgrind prefix capability
Diffstat (limited to 'src')
-rwxr-xr-xsrc/auditor/test-auditor.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index b5f63cc2d..1883a9ec3 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -23,6 +23,10 @@ ALL_TESTS=`seq 0 25`
#
TESTS=${1:-$ALL_TESTS}
+# Global variable to run the auditor processes under valgrind
+# VALGRIND=valgrind
+VALGRIND=""
+
# Exit, with status code "skip" (no 'real' failure)
function exit_skip() {
echo $1
@@ -68,15 +72,15 @@ function pre_audit () {
function audit_only () {
# Run the auditor!
echo -n "Running audit(s) ..."
- taler-auditor -L DEBUG -r -c $CONF -m $MASTER_PUB > test-audit.json 2> test-audit.log || exit_fail "auditor failed"
+ $VALGRIND taler-auditor -L DEBUG -r -c $CONF -m $MASTER_PUB > test-audit.json 2> test-audit.log || exit_fail "auditor failed"
echo -n "."
# Also do incremental run
- taler-auditor -L DEBUG -c $CONF -m $MASTER_PUB > test-audit-inc.json 2> test-audit-inc.log || exit_fail "auditor failed"
+ $VALGRIND taler-auditor -L DEBUG -c $CONF -m $MASTER_PUB > test-audit-inc.json 2> test-audit-inc.log || exit_fail "auditor failed"
echo -n "."
- taler-wire-auditor -L DEBUG -r -c $CONF -m $MASTER_PUB > test-wire-audit.json 2> test-wire-audit.log || exit_fail "wire auditor failed"
+ $VALGRIND taler-wire-auditor -L DEBUG -r -c $CONF -m $MASTER_PUB > test-wire-audit.json 2> test-wire-audit.log || exit_fail "wire auditor failed"
# Also do incremental run
echo -n "."
- taler-wire-auditor -L DEBUG -c $CONF -m $MASTER_PUB > test-wire-audit-inc.json 2> test-wire-audit-inc.log || exit_fail "wire auditor failed"
+ $VALGRIND taler-wire-auditor -L DEBUG -c $CONF -m $MASTER_PUB > test-wire-audit-inc.json 2> test-wire-audit-inc.log || exit_fail "wire auditor failed"
echo " DONE"
}